/******************************************************************************
*
*       Copyright (C) 2004 Freescale Semiconductor, Inc.
*       All Rights Reserved
*
* Filename:     LED_Ex.c
* Author:       Nathan Lee - r61614
* Revision:     1.0
*
* Description:	Flashes LED1 and LED2 according to the position of SW1 and SW2.
*
* Notes:        Also serves as an example for the 908AP64 demo board.
*
******************************************************************************/

#include <hidef.h> 			// EnableInterrupts macro
#include <MC68HC908AP64.h>  // Include peripheral declarations
#include "DEMO908AP64.h" 	// Include the demo board declarations


// ---------------------------------------------------------------------------
// Peripheral Initialization Routine
// ---------------------------------------------------------------------------
void PeriphInit(void)
{
    DDRB = 0xFF;			// Port B[0..7] equals output
    LED1 = OFF;				// Turn Off LEDs one and two
    LED2 = OFF;			

    DDRD = 0x00;			// Port D[0..7] equals input
    PTD = 0x00;				// Clears Port D[0..7]    		
}



// ---------------------------------------------------------------------------
// Main
// ---------------------------------------------------------------------------
void main(void) 
{
	PeriphInit();			// Microcontroller initialization
  	
	for (;;) {
    		
    	__RESET_WATCHDOG(); // Kicks the dog 
		LED1 = SW1;			// Turns on or off LED1
		LED2 = SW2;			// Turns on or off LED2
				
	}// Loop forever
	
}//end main(void) 

